#
# spec file for package xtexit (Version 0.42)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xtexit
Release:      13
Copyright:    1990 Front End Oy
Group: 
Provides:     xtexit 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.42
Summary:      Prompt on exiting X
Source: xtexit.tar.gz
Patch: xtexit.dif
%description
`xtexit` sends an request to all clients to shut down. If the application
still needs an user interaction (e.g. if a file should be saved) this is
possible. 
If you answer by the affirmative all applications will be closed. This method
is not fully water-proof but better than killing each and every client without
being able to interfere.
xterm applications anyway are killed immediately!
If this package is installed, it will be automatically integrated into the
sample user fvwm menu.

Authors:
--------
    Klaus Franken <kfr@suse.de>
    Teemu Torma, Front End Oy <tot@frend.fi>
    Paul Raines <raines@slac.stanford.edu>

%prep
%setup -n xtexit
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/doc/packages/xtexit
/usr/X11R6/bin/xtexit
%config /usr/X11R6/lib/X11/app-defaults/XTexit
%doc /usr/doc/packages/xtexit/README
%doc /usr/doc/packages/xtexit/README.SuSE

